import { http, post } from 'mocp/utils/http'

export const getPwdPatrolListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getPwdPatrolList',
        data,
        config
    })
}
export const getPwdOperateListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getPwdOperateList',
        data,
        config
    })
}
export const getPwdMooringListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getPwdMooringList',
        data,
        config
    })
}
export const getPwdSandstormListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getPwdSandstormList',
        data,
        config
    })
}
export const getAllTaskInfoByWeatherApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getAllTaskInfoByWeather',
        data,
        config
    })
}
export const getPwdWorkTemplateItemsByStnApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getPwdWorkTemplateItemsByStn',
        data,
        config
    })
}
export const savePwdCommonTaskApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/terminal/savePwdCommonTask',
        data,
        config
    })
}
export const getPwdReceiveHistoryListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getPwdReceiveHistoryList',
        data,
        config
    })
}
export const saveReceiveInfoApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/saveReceiveInfo',
        data,
        config
    })
}
export const savePwdBasicApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/terminal/savePwdBasic',
        data,
        config
    })
}
export const savePwdConclusionApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/terminal/savePwdConclusion',
        data,
        config
    })
}
export const savePatrolWorkApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/terminal/savePatrolWork',
        data,
        config
    })
}
export const saveOperateWorkApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/terminal/saveOperateWork',
        data,
        config
    })
}
export const saveMooringWorkApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/terminal/saveMooringWork',
        data,
        config
    })
}
export const saveRelieveInfoApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/saveRelieveInfo',
        data,
        config
    })
}
export const saveSandstormWorkApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/terminal/saveSandstormWork',
        data,
        config
    })
}
export const getPwdTaByAcApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getPwdTaByAc',
        data,
        config
    })
}
export const getTerminalWeatherListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getTerminalWeatherList',
        data,
        config
    })
}
export const getPwdTaskListForMobileApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/terminal/getPwdTaskListForMobile',
        data,
        config
    })
}
